spring:
  profiles:
    active: prod #默认为开发环境
  gson:
    date-format: yyyy-MM-dd HH:mm:ss
    
mybatis:
  mapper-locations:
    - classpath:dao/*.xml
    - classpath*:com/**/mapper/*.xml
  
jwt:
  tokenHeader: Authorization #JWT存储的请求头
  secret: 507Secret #JWT加解密使用的密钥
  expiration: 604800 #JWT的超期限时间(60*60*24)
  tokenHead: 'Bearer '  #JWT负载中拿到开头  原：tokenHead: 507mall  #JWT负载中拿到开头

# 自定义redis key
redis:
  key:
    prefix:
      authCode: "portal:authCode:"
      orderId: "portal:orderId:"
    expire:
      authCode: 300 # 验证码超期时间 5分钟有效

secure:
  ignored:
    urls: #安全路径白名单
      - /swagger-ui/
      - /swagger-resources/**
      - /**/v2/api-docs
      - /**/*.html
      - /**/*.js
      - /**/*.css
      - /**/*.png
      - /**/*.map
      - /favicon.ico
      - /druid/**
      - /actuator/**
      - /sso/**
      - /home/**
      - /product/**
      - /brand/**
      - /alipay/**